/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicatorDescription } from "./StrategyBasedIndicatorDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FullStochasticOscillatorIndicatorDescription = /*@__PURE__*/ (() => {
    class FullStochasticOscillatorIndicatorDescription extends StrategyBasedIndicatorDescription {
        get_type() {
            return "FullStochasticOscillatorIndicator";
        }
        constructor() {
            super();
            this.fn = 0;
            this.fo = 0;
            this.fp = 0;
        }
        get period() {
            return this.fn;
        }
        set period(a) {
            this.fn = a;
            this.g("Period");
        }
        get smoothingPeriod() {
            return this.fo;
        }
        set smoothingPeriod(a) {
            this.fo = a;
            this.g("SmoothingPeriod");
        }
        get triggerPeriod() {
            return this.fp;
        }
        set triggerPeriod(a) {
            this.fp = a;
            this.g("TriggerPeriod");
        }
    }
    FullStochasticOscillatorIndicatorDescription.$t = /*@__PURE__*/ markType(FullStochasticOscillatorIndicatorDescription, 'FullStochasticOscillatorIndicatorDescription', StrategyBasedIndicatorDescription.$);
    return FullStochasticOscillatorIndicatorDescription;
})();
